<?php

require '../system/start.php';
require '../system/functions.php';
only_level(3);
$str['mesto'] = 'Модераторы';
$str['block'] = $set['site'].' / Модераторы';
include '../style/'.$style.'/head.php';

echo '<div class="where">Модераторы</div>';

switch($act) {
	case 'add_mod':
		if ($_POST['submit']) {
			$login = protect($_POST['login']);
			if ($login) {
				$num = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `login` = '" . $login . "'"), 0);
				if ($num != 0) {
					mysql_query("UPDATE `users` SET `level` = '" . $_POST['level'] . "' WHERE `login` = '" . $login . "'");
					switch ($e['level']) {
						case '4': $level = '[Модер Обменника]'; break;
						case '5': $level = '[Модер Чата]'; break;
						case '6': $level = '[Модер Форума]'; break;
					}
					echo 'Модератор ' . $level . ' успешно назначен!';
				} else {
					echo 'Такого пользователя не найдено!<br /><a href="?act=add_mod">назад</a>';
				}
			} else {
				echo 'Не введен логин модератора!<br /><a href="?act=add_mod">назад</a>';
			}
		} else {
			echo 'Назначить модератора<br />
			<form action="" method="post">
			Логин:<br />
			<input name="login" type="text" /><br />
			Модер:<br />
			<select name="level">
			<option value="4">Обменника</option>
			<option value="5">Чата</option>
			<option value="6">Форума</option>
			</select><br />
			<input name="submit" type="submit" value="Назначить" /></form>';
		}
		
	break;
	
	case 'del_mod':
		if (!$_GET['id'])
			header("Location: moders.php");
			
		echo 'Увольнение модера<br />';
		$num = mysql_result(mysql_query("SELECT COUNT(*) FROM `users` WHERE `id` = '" . $_GET['id'] . "'"), 0);
			if ($num != 0) {
				mysql_query("UPDATE `users` SET `level` = '0' WHERE `id` = '" . $_GET['id'] . "'");
				echo 'Пользователь снят с должности!<br /><a href="moders.php">назад</a>';
			} else {
				echo 'Такого пользователя не найдено!<br /><a href="moders.php">назад</a>';
			}
	break;
default :
echo '<div class="on"><a href="?act=add_mod">Назначить модератора</a></div>';

$r= mysql_query("SELECT * FROM `users` WHERE `level` > '3'");
while($e = mysql_fetch_assoc($r)) {
	echo ($i % 2) ? '<div class="forum2">' : '<div class="forum1">';
	echo '<a href="../pages/anketa.php?login=' . $e['login'] . '">' . $e['login'] . '</a>';
	switch ($e['level']) {
		case '4': echo '[Модер Обменника]'; break;
		case '5': echo '[Модер Чата]'; break;
		case '6': echo '[Модер Форума]'; break;
	}
	echo '<br /><a href="?act=del_mod&amp;id=' . $e['id'] . '">Снять с должности</a></div>';
	++$i;
}

}
include '../style/'.$style.'/foot.php';
?>